package com.test;


import java.util.HashMap;
import java.util.Map;

import javax.ejb.embeddable.EJBContainer;
import javax.enterprise.inject.spi.BeanManager;
import javax.naming.Context;
import javax.transaction.UserTransaction;


public class EmbeddedEJBTest {

    public static void main(String[] args) throws Exception {
        EJBContainer ejb = null;
        try {
            Map<Object, Object> properties = new HashMap<Object, Object>();
            properties.put(EJBContainer.MODULES, "bin");
            ejb = EJBContainer.createEJBContainer(properties);
            Context ic = ejb.getContext();
            UserTransaction tx = (UserTransaction) ic.lookup("java:comp/UserTransaction");
            System.out.println("UserTransaction found: " + tx);
            BeanManager bm = (BeanManager) ic.lookup("java:comp/BeanManager");
            System.out.println("BeanManager found: " + bm);
        } finally {
            if (ejb != null) {
                ejb.close();
            }
        }
    }
}
